org.w3._2001._04.xmlenc

## Class EncryptedKey

- java.lang.Object
- - org.w3._2001._04.xmlenc.EncryptedType
  - - org.w3._2001._04.xmlenc.EncryptedKey

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2022-12-09T10:56:39+01:00",
                 comments="JAXB RI v2.2.11")
      public class EncryptedKey
      extends EncryptedType
      implements Serializable

  Java class for EncryptedKeyType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="EncryptedKeyType">
         <complexContent>
           <extension base="{http://www.w3.org/2001/04/xmlenc#}EncryptedType">
             <sequence>
               <element ref="{http://www.w3.org/2001/04/xmlenc#}ReferenceList" minOccurs="0"/>
               <element name="CarriedKeyName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             </sequence>
             <attribute name="Recipient" type="{http://www.w3.org/2001/XMLSchema}string" />
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EncryptedKey()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCarriedKeyName()` Gets the value of the carriedKeyName property.
    `String` | `getRecipient()` Gets the value of the recipient property.
    `ReferenceList` | `getReferenceList()` Gets the value of the referenceList property.
    `void` | `setCarriedKeyName(String value)` Sets the value of the carriedKeyName property.
    `void` | `setRecipient(String value)` Sets the value of the recipient property.
    `void` | `setReferenceList(ReferenceList value)` Sets the value of the referenceList property.

    - ### Methods inherited from class org.w3._2001._04.xmlenc.EncryptedType

      `getCipherData, getEncoding, getEncryptionMethod, getEncryptionProperties, getId, getKeyInfo, getMimeType, getType, setCipherData, setEncoding, setEncryptionMethod, setEncryptionProperties, setId, setKeyInfo, setMimeType, setType`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### EncryptedKey

          public EncryptedKey()

  - ### Method Detail

    - #### getReferenceList

          public ReferenceList getReferenceList()

      Gets the value of the referenceList property.
      Returns:
        possible object is `ReferenceList`

    - #### setReferenceList

          public void setReferenceList(ReferenceList value)

      Sets the value of the referenceList property.
      Parameters:
        `value` - allowed object is `ReferenceList`

    - #### getCarriedKeyName

          public String getCarriedKeyName()

      Gets the value of the carriedKeyName property.
      Returns:
        possible object is `String`

    - #### setCarriedKeyName

          public void setCarriedKeyName(String value)

      Sets the value of the carriedKeyName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getRecipient

          public String getRecipient()

      Gets the value of the recipient property.
      Returns:
        possible object is `String`

    - #### setRecipient

          public void setRecipient(String value)

      Sets the value of the recipient property.
      Parameters:
        `value` - allowed object is `String`

Connector Packaging PERSLOGOPEDIST 4.3.0-beta-3 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.